Package cds.healpix

# Enum Class NestedEllipticalConeComputerApprox.Mode

java.lang.Object
java.lang.Enum<NestedEllipticalConeComputerApprox.Mode>
cds.healpix.NestedEllipticalConeComputerApprox.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<NestedEllipticalConeComputerApprox.Mode>`, `Constable`

Enclosing class:
  `NestedEllipticalConeComputerApprox`

public static enum NestedEllipticalConeComputerApprox.Mode extends Enum<NestedEllipticalConeComputerApprox.Mode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FULLY_IN`
`OVERLAPPING_CELLS`
`OVERLAPPING_CENTERS`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`isOk(EllipticalCone ellipse, VerticesAndPathComputer vpc, long hash, double cellCenterLon, double cellCenterLat)`
`static NestedEllipticalConeComputerApprox.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NestedEllipticalConeComputerApprox.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OVERLAPPING_CELLS

public static final NestedEllipticalConeComputerApprox.Mode OVERLAPPING_CELLS

### OVERLAPPING_CENTERS

public static final NestedEllipticalConeComputerApprox.Mode OVERLAPPING_CENTERS

### FULLY_IN

public static final NestedEllipticalConeComputerApprox.Mode FULLY_IN

## Method Details

### values

public static NestedEllipticalConeComputerApprox.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NestedEllipticalConeComputerApprox.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isOk

public abstract boolean isOk(EllipticalCone ellipse, VerticesAndPathComputer vpc, long hash, double cellCenterLon, double cellCenterLat)